HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetQuotesQuoteLineItems

Contains the different functions to run the operation getQuotesQuoteLineItems

  • 3 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetQuotesQuoteLineItems.hs
valuegetQuotesQuoteLineItems
  1. :: MonadHTTP m
  2. => GetQuotesQuoteLineItemsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetQuotesQuoteLineItemsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/quotes/{quote}/line_items

<p>When retrieving a quote, there is an includable <strong>line_items</strong> property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items.</p>

Defines the object schema located at paths./v1/quotes/{quote}/line_items.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getQuotesQuoteLineItems.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetQuotesQuoteLineItemsResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/quotes/{quote}/line_items.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON